#ifndef GAMEFACTORY_H
#define GAMEFACTORY_H
#include <memory>

class IWindow;
class IGame;
class IInput;

std::tr1::shared_ptr<IGame>		get_game(std::tr1::shared_ptr<IInput>);
std::tr1::shared_ptr<IInput>	get_game_input();
std::tr1::shared_ptr<IWindow>	get_game_window( std::tr1::shared_ptr<IGame>, std::tr1::shared_ptr<IInput>, const void* pWindowHandle );

#endif
