#ifndef IINPUT_H
#define IINPUT_H

#define DIGITALCONTROLMAPS 256
#define ANALOGUECONTROLMAPS 64

class IInput 
{
public:
    IInput() {}

    virtual ~IInput()	{}

    virtual void Update()		=	0;

public: 

    bool fullscreen;
    
    //make sure to initalise these in the constructor of the inheriting class.
    bool	DigitalControlMap [DIGITALCONTROLMAPS];
    float	AnalogueControlMap[ANALOGUECONTROLMAPS];

};

#endif
