#ifndef TOFROMSTRING_H
#define TOFROMSTRING_H


#include <iostream>
#include <string>
#include <sstream>
using namespace std;


template <typename T>
std::string toString (const T &t) {
	std::ostringstream os;
	os << t;
	return os.str();
}

template <typename T>
T fromString (const std::string & str)
{
	std::istringstream is;
	T t;
	is >> t;
	return t;
}


#endif

