/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Default terrain generation method interface, used as a placeholder class for the implementation of the three other terrain generation method interfaces.
// Written by Vladeta Stojanovic (0602920@live.abertay.ac.uk).
//
// Version: 130211
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <memory.h>
#include <iostream>
#include <noise/noise.h>

#ifndef _DEFMETHOD_H_
#define _DEFMETHOD_H_

class DefMethod
{
public:

	//default constructor
	DefMethod();

	//default class destructor
	~DefMethod();

	//Abstract generator function
	virtual void Generate() = NULL;

protected:

	//add protected data members here
};

#endif
