#ifndef DIRECTINPUT_H
#define DIRECTINPUT_H

#define DIRECTINPUT_VERSION 0x0800

#include<d3d9.h>
#include<d3dx9.h>
#include<dinput.h>   
#include "iinput.h"

class DirectInput : public IInput 
{
public:
	DirectInput();

	virtual ~DirectInput();

	virtual void Update();

	char KeyBuffer[256];			//Buffer that holds the key input state

private:

	bool GetDevices();

	void ShutDown();

private:

	LPDIRECTINPUT8	DIObject;				//DirectInput main object
	LPDIRECTINPUTDEVICE8 DIKeyboardDevice;	//keyboard device.
};


#endif
