#include <cassert>
#include <exception>
#include <windows.h>
#include <mmsystem.h>
#include "igame.h"
#include "iinput.h"


// Constructs the game and ensures the user has given us a valid input
// to work with.
IGame::IGame(std::tr1::shared_ptr<IInput> input ) : 
input_(input)
{
   
    if( ! input_ )
    {
        throw new std::exception( "IInput pointer cannot be null" );
    }
}